> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Bol

> Update a BOL. If operations are provided, creates a new version.



## OpenAPI

````yaml /api/openapi-cutmake.json put /bol/{bol_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /bol/{bol_id}:
    put:
      tags:
        - BOL
      summary: Update Bol
      description: Update a BOL. If operations are provided, creates a new version.
      operationId: update_bol_bol__bol_id__put
      parameters:
        - name: bol_id
          in: path
          required: true
          schema:
            type: string
            title: Bol Id
        - name: X-User-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-User-Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillOfLaborUpdateInput'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    BillOfLaborUpdateInput:
      properties:
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
        operations:
          anyOf:
            - items:
                $ref: '#/components/schemas/BillOfLaborOperationInput'
              type: array
            - type: 'null'
          title: Operations
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
      type: object
      title: BillOfLaborUpdateInput
      description: Input schema for updating a BOL.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BillOfLaborOperationInput:
      properties:
        operationName:
          type: string
          title: Operationname
        samMinutes:
          type: number
          title: Samminutes
          description: Standard Allowed Minutes
        sequence:
          type: integer
          title: Sequence
          description: Operation sequence order
          default: 0
        operationType:
          anyOf:
            - type: string
            - type: 'null'
          title: Operationtype
        hourlyRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Hourlyrate
        costPerUnit:
          anyOf:
            - type: number
            - type: 'null'
          title: Costperunit
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - operationName
        - samMinutes
      title: BillOfLaborOperationInput
      description: Input schema for BOL operation.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````